<?php
/*
 本代码由 焕岱科技 创建
 技术支持 WX：15285007200
 严禁反编译、逆向等任何形式的侵权行为，违者将追究法律责任
*/

namespace app\api\controller\problem;

use app\api\controller\Base;
use think\Db;


class Problem extends Base
{
    protected $noNeedLogin = ['*'];
    protected $noNeedRight = ['*'];
    
    public $model = null;
    
    public function getList(){
        $where = ["uniacid"=>UNIACID];
        $list = Db::name("bbfx_problem")->where($where)->order('sort desc')->select();
        $total = Db::name("bbfx_problem")->where($where)->count();
        foreach($list as $key => &$val){
            $val['createtime'] = date('Y-m-d H:i:s',$val['createtime']);
        }
        unset($val);
        
        __success("操作成功",['total'=>$total,'list'=>$list]);
    }
}